Book_2_Chapter_1_Rise_of_the_Orcs = class(Window);

function Book_2_Chapter_1_Rise_of_the_Orcs: GetName()
	return "Book 2, Chapter 1: Rise of the Orcs";
end

function Book_2_Chapter_1_Rise_of_the_Orcs: IsRunning()
	return (self.window ~= nil);
end

function Book_2_Chapter_1_Rise_of_the_Orcs: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Livro 2,Capítulo 1: A Ascensão dos Orcs"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n- Candaith - 30.1S, 37.9W - Candaith's Encampment - Lone-lands");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nA preocupação de Saeradan chegou tarde às Terras Solitárias. Se Radagast, o Marrom , passou por essas terras, talvez a esperança não esteja totalmente perdida neste lugar. Retornei recentemente de uma jornada nas terras distantes do leste, terras mantidas firmemente nas garras do mal. Quando voltei daquela viagem, aprendi, para minha infelicidade, que o mal não se agita apenas no Oriente.\n\n'Goblins agora vagam para o sul, enquanto seus primos maiores e mais ferozes entre os Orcs se espalham pelas Colinas como uma praga.\n\n'Preciso encontrar a formação principal dos orcs. Se você me ajudar a repelir o Inimigo nestas colinas, começarei a busca por Radagast, o Marrom. O que diz você?'");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nCandaith, a Ranger que observa a Grande Estrada do Leste enquanto ela passa pelas Terras Solitárias, soube de uma presença orc nas Colinas.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1- Derrote Orcs guerreiros da Mão Branca(0/8)\nDerrote Orcs arqueiros da Mão Branca (0/6)\nOrcs da Mão Branca infestam as Colinas, a oeste do acampamento de Candaith.\n\nO Ranger Candaith ofereceu ajuda para encontrar Radagast, o Marrom, em troca de ajuda contra os Orcs nas Colinas.\n\nCandaith : 'Procure orcs entre as Colinas, a oeste do meu acampamento, e diminua suas fileiras. Vou começar meus esforços para encontrar e rastrear Radagast, o Marrom.\n\n2- Fale com Candaith em seu acampamento\nCandaith está em seu acampamento perto do sopé do Weathertop, entre as Colinas.\n\nEnquanto você lutava contra os Orcs, Candaith começou sua busca por Radagast, o Marrom.\n\nCandaith : 'Agradeço a você, mas meus agradecimentos são temperados com preocupação; Eu nunca vi uma força de Orcs como esta em Eriador antes de hoje: organizada e bem abastecida. Eles mantêm um acampamento em uma saída dentro de Midgewater Pass e carregam uma carga estranha em seus estandartes e escudos... uma que eu nunca vi antes.\nO número deles neste acampamento é grande, mas pode chegar o dia em que poderemos expulsá-los das Terras Solitárias. Não hoje, eu temo, mas talvez não muito longe. \nHá outro assunto que exige nossa atenção, um assunto urgente; veremos a destruição de seu acampamento Midgewater mais tarde.");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nOs Orcs estão a sudoeste do acampamento de Candaith em Glumhallow [30.1S, 38.6W]");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText(" Redigido pelo Dastan e patrocinado pelo Nelson Oliveira");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Book_2_Chapter_1_Rise_of_the_Orcs:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Book_2_Chapter_1_Rise_of_the_Orcs()); 